[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#40691: libc6: Another NMU Patch for ARM



Package: libc6
Version: 2.1.1-12.2
Severity: normal

The ARM port needs this additional patch too (which has been sent
upstream by the NetWinder guys).

Cheers,

 - Jim


diff -urN previous/glibc-2.1.1/debian/changelog glibc-2.1.1/debian/changelog
--- previous/glibc-2.1.1/debian/changelog	Thu Jul  1 09:35:27 1999
+++ glibc-2.1.1/debian/changelog	Thu Jul  1 09:38:18 1999
@@ -1,3 +1,10 @@
+glibc (2.1.1-12.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Another patch for ARM to fix tftp struct alignment problem.
+
+ -- Jim Pick <jim@jimpick.com>  Thu,  1 Jul 1999 09:38:02 -0700
+
 glibc (2.1.1-12.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -urN previous/glibc-2.1.1/debian/patches/arm-tftp.dpatch glibc-2.1.1/debian/patches/arm-tftp.dpatch
--- previous/glibc-2.1.1/debian/patches/arm-tftp.dpatch	Wed Dec 31 16:00:00 1969
+++ glibc-2.1.1/debian/patches/arm-tftp.dpatch	Thu Jul  1 13:27:39 1999
@@ -0,0 +1,35 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DPATCH:' are a description of the patch.
+# DP: A small patch to correct an alignment problem in the tftp struct
+# DP: which affects ARM.
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f -p1 < $0;;
+    -unpatch) patch -d "$2" -f -R -p1 < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+
+diff -urN glibc-2.1.1.backup/inet/arpa/tftp.h glibc-2.1.1/inet/arpa/tftp.h
+--- glibc-2.1.1.backup/inet/arpa/tftp.h	Mon May 17 17:22:52 1999
++++ glibc-2.1.1/inet/arpa/tftp.h	Thu Jul  1 13:21:08 1999
+@@ -56,7 +56,7 @@
+ 		unsigned short	tu_block;	/* block # */
+ 		short	tu_code;		/* error code */
+ 		char	tu_stuff[1];		/* request packet stuff */
+-	} th_u __attribute__ ((__packed__));
++	} th_u ((__packed__)) __attribute__;
+ 	char	th_data[1];			/* data or error string */
+ } __attribute__ ((__packed__));
+ 
+
+
+ 
diff -urN previous/glibc-2.1.1/debian/rules glibc-2.1.1/debian/rules
--- previous/glibc-2.1.1/debian/rules	Thu Jul  1 09:35:27 1999
+++ glibc-2.1.1/debian/rules	Thu Jul  1 09:37:28 1999
@@ -786,7 +786,7 @@
 ifeq ($(kernel),linux)
   debian_patches += fhs
   ifeq ($(ARCH),arm)
-    debian_patches += arm-string arm-dynamiclinker arm-osabi
+    debian_patches += arm-string arm-dynamiclinker arm-osabi arm-tftp
   else
   ifeq ($(ARCH),sparc)
     debian_patches += sparc32-chown


-- System Information
Debian Release: potato
Kernel Version: Linux fleming 2.2.4 #1 Tue Mar 23 19:41:42 PST 1999 i586 unknown

Versions of the packages libc6 depends on:
ii  ldso            1.9.11-2       The Linux dynamic linker, library and utilit


Reply to: